function [C,D,tc]=clarity_nzoxbw(y,fs,T)
% T: ms-ben
% A BEMENETRE TERJEDESI KESLELTETES NELKULI IMPULZUSVALASZ KELL!!

pnter=T*fs/1000;

y1=y(1:pnter);
y2=y(pnter+1:end);

yo=o3(y,fs); y1o=o3(y1,fs); y2o=o3(y2,fs);
t=(0:length(y.^2)-1)/fs;

for i=1:10*3,
    Ee=sum(y1o(i,:).^2);
    El=sum(y2o(i,:).^2);
    Eo=sum(yo(i,:).^2);
    
    C(i)=10*log10(Ee/El);
    D(i)=100*(Ee/Eo);
    tc(i)= sum(yo(i,:).^2.*t)./Eo;
end;